# Class VulkanPipelineColorBlendStateCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanPipelineColorBlendStateCreateInfo.Builder

Enclosing class:
  `VulkanPipelineColorBlendStateCreateInfo`

public static final class VulkanPipelineColorBlendStateCreateInfo.Builder extends Object
Builds instances of type `VulkanPipelineColorBlendStateCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `addAllAttachments(Iterable<? extends VulkanPipelineColorBlendAttachmentState> elements)`
  Adds elements to `attachments` list.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanPipelineColorBlendStateCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `addAttachments(VulkanPipelineColorBlendAttachmentState element)`
  Adds one element to `attachments` list.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `addAttachments(VulkanPipelineColorBlendAttachmentState... elements)`
  Adds elements to `attachments` list.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `addFlags(VulkanPipelineColorBlendStateCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `addFlags(VulkanPipelineColorBlendStateCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanPipelineColorBlendStateCreateInfo`
  `build()`
  Builds a new `VulkanPipelineColorBlendStateCreateInfo`.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `from(VulkanPipelineColorBlendStateCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanPipelineColorBlendStateCreateInfoType` instance.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `setAttachments(Iterable<? extends VulkanPipelineColorBlendAttachmentState> elements)`
  Sets or replaces all elements for `attachments` list.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `setBlendConstants(VulkanBlendConstants blendConstants)`
  Initializes the value for the `blendConstants` attribute.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `setFlags(Iterable<VulkanPipelineColorBlendStateCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `setLogicOp(VulkanLogicOp logicOp)`
  Initializes the optional value `logicOp` to logicOp.
  `final VulkanPipelineColorBlendStateCreateInfo.Builder`
  `setLogicOp(Optional<? extends VulkanLogicOp> logicOp)`
  Initializes the optional value `logicOp` to logicOp.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanPipelineColorBlendStateCreateInfo.Builder from(VulkanPipelineColorBlendStateCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanPipelineColorBlendStateCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setLogicOp

    public final VulkanPipelineColorBlendStateCreateInfo.Builder setLogicOp(VulkanLogicOp logicOp)
    Initializes the optional value `logicOp` to logicOp.
    Parameters:
      `logicOp` - The value for logicOp
    Returns:
      `this` builder for chained invocation

  - ### setLogicOp

    public final VulkanPipelineColorBlendStateCreateInfo.Builder setLogicOp(Optional<? extends VulkanLogicOp> logicOp)
    Initializes the optional value `logicOp` to logicOp.
    Parameters:
      `logicOp` - The value for logicOp
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineColorBlendStateCreateInfo.Builder addFlags(VulkanPipelineColorBlendStateCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanPipelineColorBlendStateCreateInfo.Builder addFlags(VulkanPipelineColorBlendStateCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanPipelineColorBlendStateCreateInfo.Builder setFlags(Iterable<VulkanPipelineColorBlendStateCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanPipelineColorBlendStateCreateInfo.Builder addAllFlags(Iterable<VulkanPipelineColorBlendStateCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAttachments

    public final VulkanPipelineColorBlendStateCreateInfo.Builder addAttachments(VulkanPipelineColorBlendAttachmentState element)
    Adds one element to `attachments` list.
    Parameters:
      `element` - A attachments element
    Returns:
      `this` builder for use in a chained invocation

  - ### addAttachments

    public final VulkanPipelineColorBlendStateCreateInfo.Builder addAttachments(VulkanPipelineColorBlendAttachmentState... elements)
    Adds elements to `attachments` list.
    Parameters:
      `elements` - An array of attachments elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setAttachments

    public final VulkanPipelineColorBlendStateCreateInfo.Builder setAttachments(Iterable<? extends VulkanPipelineColorBlendAttachmentState> elements)
    Sets or replaces all elements for `attachments` list.
    Parameters:
      `elements` - An iterable of attachments elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllAttachments

    public final VulkanPipelineColorBlendStateCreateInfo.Builder addAllAttachments(Iterable<? extends VulkanPipelineColorBlendAttachmentState> elements)
    Adds elements to `attachments` list.
    Parameters:
      `elements` - An iterable of attachments elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setBlendConstants

    public final VulkanPipelineColorBlendStateCreateInfo.Builder setBlendConstants(VulkanBlendConstants blendConstants)
    Initializes the value for the `blendConstants` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `blendConstants`.

    Parameters:
      `blendConstants` - The value for blendConstants
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanPipelineColorBlendStateCreateInfo build()
    Builds a new `VulkanPipelineColorBlendStateCreateInfo`.
    Returns:
      An immutable instance of VulkanPipelineColorBlendStateCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing